com.corticon.rulesemf.canonicalvocabularymodel

## Interface EnumerationElement

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidatableObject

      public interface EnumerationElement
      extends ValidatableObject

  A representation of the model object 'Enumeration Element'.

  The following features are supported:

  - `Guid`
  - `Label`
  - `Value`
  See Also:
    `CanonicalvocabularymodelPackage.getEnumerationElement()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGuid()` Returns the value of the 'Guid' attribute
    `org.eclipse.emf.common.util.EList` | `getLabel()` Returns the value of the 'Label' containment reference list.
    `VocabularyString` | `getValue()` Returns the value of the 'Value' containment reference
    `void` | `setGuid(java.lang.String value)` Sets the value of the '`Guid`' attribute
    `void` | `setValue(VocabularyString value)` Sets the value of the '`Value`' containment reference

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getGuid

          java.lang.String getGuid()

      Returns the value of the 'Guid' attribute.

      If the meaning of the 'Guid' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Guid' attribute.
      See Also:
        `setGuid(String)`, `CanonicalvocabularymodelPackage.getEnumerationElement_Guid()`

    - #### setGuid

          void setGuid(java.lang.String value)

      Sets the value of the '`Guid`' attribute.
      Parameters:
        `value` - the new value of the 'Guid' attribute.
      See Also:
        `getGuid()`

    - #### getLabel

          org.eclipse.emf.common.util.EList getLabel()

      Returns the value of the 'Label' containment reference list. The list contents are of type `VocabularyString`.

      If the meaning of the 'Label' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Label' containment reference list.
      See Also:
        `CanonicalvocabularymodelPackage.getEnumerationElement_Label()`

    - #### getValue

          VocabularyString getValue()

      Returns the value of the 'Value' containment reference.

      If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Value' containment reference.
      See Also:
        `setValue(VocabularyString)`, `CanonicalvocabularymodelPackage.getEnumerationElement_Value()`

    - #### setValue

          void setValue(VocabularyString value)

      Sets the value of the '`Value`' containment reference.
      Parameters:
        `value` - the new value of the 'Value' containment reference.
      See Also:
        `getValue()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.